<?php if (!defined('APPLICATION')) exit();
//  Module to display some environment info on the side panel.
class EnvinfoModule extends Gdn_Module {

  public function assetTarget () {
    if (!CheckPermission('Garden.Settings.Manage')) return 'Panel';   //Exit if user doesn't have permission
	return 'Content';
  }
  public function ToString ($Check=1) {
    if (!CheckPermission('Garden.Settings.Manage')) return '';   //Exit if user doesn't have permission
	$String = 	'<div class="Box" id="EnvInfo"><B>'.t('Environment Information').'</B><span class="EnvInfodata">'.
                    '<br> Vanilla version: '. APPLICATION_VERSION .
                    '<br> PHP version: '. PHP_VERSION .
                    '<br> SQL Server version: '. Gdn::sql()->information('Version').
                    '<br> Server Software: '. Gdn::request()->getRequestArguments('server')["SERVER_SOFTWARE"].
                    '<br> Database name: '.C('Database.Name','').
					'<br> Database prefix: '.C('Database.DatabasePrefix','').
					'<br> Database user: '.C('Database.User','').
                    '<br> Database host: '.C('Database.Host','').
					'</span></div>';
   return $String;
  }
}
