<?php if (!defined('APPLICATION')) exit();

$PluginInfo['Envinfo'] = array(
    'Name' => 'Envinfo plugin',
    'Description' => 'Simple plugin to display some enviroment information at the bottom of the admin dashboard.',
    'Version' => '2.5.0',
    'RequiredApplications' => array('Vanilla' => '2.5'),
    'RequiredTheme' => FALSE,
    'RequiredPlugins' => FALSE,
	'MobileFriendly' => FALSE,
    'HasLocale' => TRUE,
    'SettingsPermission' => 'Garden.Settings.Manage',
    'Author' => "Roger Brahmson",
    'License' => 'GPLv2'
);
// Simple plugin to display enviroment info.  Useful when running multiple Vanilla servers/versions on different browser tabs.
//
class Envinfoplugin extends Gdn_Plugin {
  public function Base_Render_Before($Sender) {
	// Add the envinfo module (only on the admin panel).
    if (!CheckPermission('Garden.Settings.Manage')) return;             //Exit if user doesn't have permission
	if ($Sender->ControllerName != 'settingscontroller') return;		//Only active on dashboard
	$Module = new EnvinfoModule($Sender);								//New module
	$Sender->AddModule($Module);										//Add the new module
  }
}